#include <iostream>

// Zeichnet Line/Rechteck mit einem
// beliebigen Zeichen
void Draw(unsigned short width, unsigned short height = 1,
    char character = '#')
{
    // Zeile 'malen'
    for (auto iheight = 1; iheight <= height; iheight++)
    {
        // Spalten 'malen'
        for (auto iwidth = 1; iwidth <= width; iwidth++)
            std::cout << character;
        std::cout << '\n';
    }
}

int main()
{
    // 10er Line mit #
    Draw(10);
    // Rechteck 5x5
    Draw(5, 5);
    // 9er Linie mit -
    Draw(9, 1, '-');
}